org.gradle.api.tasks.compile

## Class Compile

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.api.tasks.compile.AbstractCompile
          - - org.gradle.api.tasks.compile.Compile

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, PatternFilterable, org.gradle.util.Configurable<Task>
  Direct Known Subclasses:
    JavaCompile

  Deprecated.
  This class has been replaced by `JavaCompile`.

      @Deprecated
      public class Compile
      extends AbstractCompile

  Compiles Java source files.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Compile()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `compile()` Deprecated.
    `File` | `getDependencyCacheDir()` Deprecated.
    `org.gradle.api.internal.tasks.compile.Compiler<org.gradle.api.internal.tasks.compile.JavaCompileSpec>` | `getJavaCompiler()` Deprecated.
    `CompileOptions` | `getOptions()` Deprecated. Returns the compilation options.
    `void` | `setDependencyCacheDir(File dependencyCacheDir)` Deprecated.
    `void` | `setJavaCompiler(org.gradle.api.internal.tasks.compile.Compiler<org.gradle.api.internal.tasks.compile.JavaCompileSpec> javaCompiler)` Deprecated.

    - ### Methods inherited from class org.gradle.api.tasks.compile.AbstractCompile

      `getClasspath, getDestinationDir, getSourceCompatibility, getTargetCompatibility, setClasspath, setDestinationDir, setSourceCompatibility, setTargetCompatibility`

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, executeWithoutThrowingTaskFailure, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getStateInternal, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, leftShift, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setMustRunAfter, setName, setOnlyIf, setOnlyIf, setProject, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Compile

          public Compile()

      Deprecated.

  - ### Method Detail

    - #### compile

          protected void compile()

      Deprecated.
      Specified by:
        `compile` in class `AbstractCompile`

    - #### getDependencyCacheDir

          @OutputDirectory
          public File getDependencyCacheDir()

      Deprecated.

    - #### setDependencyCacheDir

          public void setDependencyCacheDir(File dependencyCacheDir)

      Deprecated.

    - #### getOptions

          public CompileOptions getOptions()

      Deprecated.
      Returns the compilation options.
      Returns:
        The compilation options.

    - #### getJavaCompiler

          public org.gradle.api.internal.tasks.compile.Compiler<org.gradle.api.internal.tasks.compile.JavaCompileSpec> getJavaCompiler()

      Deprecated.

    - #### setJavaCompiler

          public void setJavaCompiler(org.gradle.api.internal.tasks.compile.Compiler<org.gradle.api.internal.tasks.compile.JavaCompileSpec> javaCompiler)

      Deprecated.